# Action Namespace Reference

Contains all action classes (task subclasses). More...

## Classes

class | Task
| Abstract base class for all concrete actions. More...
class | TaskFactory
| Task factory. More...
class | Print
| Print the Exif (or other metadata) of a file to stdout More...
class | Rename
| Rename a file to its metadate creation timestamp, in the specified format. More...
class | Adjust
| Adjust the Exif (or other metadata) timestamps More...
class | Erase
| Erase the entire exif data or only the thumbnail section. More...
class | Extract
| Extract the entire exif data or only the thumbnail section. More...
class | Insert
| Insert the Exif data from corresponding *.exv files. More...
class | Modify
| Modify the Exif data according to the commands in the modification table. More...
class | FixIso
| Copy ISO settings from any of the Nikon makernotes to the regular Exif tag, Exif.Photo.ISOSpeedRatings. More...

## Enumerations

enum | TaskType { none, adjust, print, rename, erase, extract, insert, modify, fixiso }
| Enumerates all tasks.

## Detailed Description

Contains all action classes (task subclasses).